@echo off
setlocal enabledelayedexpansion 
cd %~dp0

powershell "Get-PnpDevice -FriendlyName '*audio*'|Select-Object -Property HardwareID"|findstr /i "14F1032A 05266002"
if !errorlevel!==0 goto Install-ATN1

powershell "Get-PnpDevice -FriendlyName '*audio*'|Select-Object -Property HardwareID"|findstr /i 14F10227
if !errorlevel!==0 goto Install-DN39B2

powershell "Get-PnpDevice -FriendlyName '*audio*'|Select-Object -Property HardwareID"|findstr /i "1EC91A01 1EC91A04 1D05120A 1D05120b 1D05120c 1D05120d 104310A3"
if !errorlevel!==0 goto Install-Haier-MRID6-ASUS

call Install_scripts\Install.bat
cd %~dp0
goto end

:Install-ATN1
call Install_scripts\Install-ATN1.bat
cd %~dp0
goto end
:Install-DN39B2
call Install_scripts\Install-DN39B2.bat
cd %~dp0
goto end
:Install-Haier-MRID6-ASUS
call Install_scripts\Install-Haier-MRID6-ASUS.bat
cd %~dp0
:end
